Bug 196256 - CVE-2006-3017 zend_hash_del bug
Summary: CVE-2006-3017 zend_hash_del bug
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: reported=20060516,impact=moderate,pub...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-22 08:36 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2006-0568
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 18:11:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0568 normal SHIPPED_LIVE Moderate: php security update 2006-07-12 04:00:00 UTC

Description Mark J. Cox 2006-06-22 08:36:25 UTC
CVE-2006-2657: A bug in zend_hash_del() allowed attackers to prevent
unsetting of some variables.  Fixed upstream in PHP 5.1.4

This could be bad for scripts where register_globals is on as often variables
are only initialized by unsetting them,  but it could also have side effects on
other scripts depending on the script.

Upstream fix:

http://cvs.php.net/viewcvs.cgi/Zend/zend_hash.c?hideattic=0&r1=1.87.4.8.2.1&r2=1.87.4.8.2.2

Affects RHEL3, RHEL4 (RHEL2.1 separate tracking bug)

Comment 3 Red Hat Bugzilla 2006-07-12 18:11:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0568.html



Note You need to log in before you can comment on or make changes to this bug.